org.apache.ignite.internal

## Class UnregisteredClassException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ignite.IgniteException
        - - org.apache.ignite.internal.UnregisteredClassException

All Implemented Interfaces:
  Serializable

    public class UnregisteredClassException
    extends IgniteException

Exception thrown during serialization if class isn't registered and it's registration isn't allowed.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`UnregisteredClassException(Class cls)`
`UnregisteredClassException(String msg, Class cls)`
`UnregisteredClassException(String msg, Throwable cause, Class cls)`
`UnregisteredClassException(Throwable cause, Class cls)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Class` `cls()`

### Methods inherited from class org.apache.ignite.IgniteException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UnregisteredClassException

    public UnregisteredClassException(Class cls)

Parameters:
  `cls` - Class that isn't registered.

#### UnregisteredClassException

    public UnregisteredClassException(String msg,
                                      Class cls)

Parameters:
  `msg` - Error message.
  `cls` - Class that isn't registered.

#### UnregisteredClassException

    public UnregisteredClassException(Throwable cause,
                                      Class cls)

Parameters:
  `cause` - Exception cause.
  `cls` - Class that isn't registered.

#### UnregisteredClassException

    public UnregisteredClassException(String msg,
                                      @Nullable
                                      Throwable cause,
                                      Class cls)

Parameters:
  `msg` - Error message.
  `cause` - Exception cause.
  `cls` - Class that isn't registered.

### Method Detail

#### cls

    public Class cls()

Returns:
  Class that isn't registered.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018